#include <stdlib.h>
#include <stdio.h>
#include <math.h>

extern void _quicksort __P ((void *const pbase, size_t total_elems,
			     size_t size_shift, __compar_fn_t cmp));

#define MAXARRAY 200

int compare(const void *elem1, const void *elem2)
{
    unsigned data1 = (* ((unsigned *) elem1));
    unsigned data2 = (* ((unsigned *) elem2));

    return (data1 > data2) ? 1 : ((data1 == data2) ? 0 : -1);
}


int main(void)
{
    unsigned sorting[MAXARRAY];
    unsigned i, j = 1;

    for (i = 0; i < MAXARRAY; i++) {
        j = (j * 1664525) + 1013904223;
        sorting[i] = j;
    }

    _quicksort(sorting, MAXARRAY, 2, compare);
    return 0;
}

